3

Everytime I install Xampp on my computer installation ends with 2 messages.

  1. C:\xampp\apache\bin\httpd.exe is not a valid win32 application;

  2. C:\xampp\php\php.exe is not a valid win32 application.

Tell me please what's the problem?

  • 1
    What OS/Version are you installing this on? Is this an "official" XAMPP installation? – MrWhite Dec 15 '15 at 22:36
  • yes. OS is winxp sp3. – sandy Dec 16 '15 at 0:51
  • Windows XP is a walking stack of security holes that is no longer supported by Microsoft. Upgrade it. Or replace it with Linux. Don't connect it to the Internet. – Quentin Dec 16 '15 at 10:37
6

OS is winxp sp3.

The Apache Friends download page for XAMPP states that Windows XP is no longer supported by the application. However, an alternative link is given for this OS.

Windows XP or 2003 are not supported. You can download a compatible version of XAMPP for these platforms here.

It seems that the latest version of XAMPP that is compatible with Windows XP is 1.8.2.

1

I just went through this trying to set up my old XP machine with XAMPP.

Do not use the 1.8.2 downloads from Sourceforge: they are either corrupt or invalid, or they come with the files but no executable installer.

Use this 1.8.1 link instead, which comes with the installer: https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/1.8.1/

If you need an older version, just change the last part of the link to the version number you want.

These should be much easier to install, and should just work.

  • 1
    Just used the xampp-win32-1.8.2-6-VC9-installer.exe from SourceForge. Installation works fine except: (1) leaves installation files scattered in the folder where it is started; (2) starts apache webserver by running the batch file. – Viktor Brešan Aug 30 '18 at 12:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.